Name:		moe
Version:	1.7
Release:	1
Summary:	A powerful clean text editor
Group:		Applications/Editors
License:	GPLv3+
URL:		http://www.gnu.org/software/moe/moe.html
Source0:	http://ftp.gnu.org/gnu/moe/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	make, coreutils
BuildRequires:	ncurses-devel >= 5.6-2
Requires:	ncurses >= 5.6-2
Requires:       info, /sbin/install-info

%description
GNU Moe is a powerful, 8-bit clean, text editor for ISO-8859 and ASCII 
character encodings. It has a modeless, user-friendly interface, online 
help, multiple windows, unlimited undo/redo capability, unlimited line 
length, global search/replace (on all buffers at once), block operations, 
automatic indentation, word wrapping, filename completion, directory 
browser, duplicate removal from prompt histories, delimiter matching, etc.


%prep
%setup -q
%patch0


%build
export CXX=xlC_r

./configure \
    --prefix=%{_prefix}

gmake CXX=xlC_r CXXFLAGS="-O" %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake install DESTDIR=${RPM_BUILD_ROOT} INSTALL="/opt/freeware/bin/install"

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/ || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info

mkdir -p ${RPM_BUILD_ROOT}/usr/bin
cd ${RPM_BUILD_ROOT}/usr/bin
ln -s ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ] ; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING README NEWS ChangeLog
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{_infodir}/%{name}.info*
/usr/bin/%{name}


%changelog
* Wed May 06 2015 Michael Perzl <michael@perzl.org> - 1.7-1
- updated to version 1.7

* Sun May 25 2014 Michael Perzl <michael@perzl.org> - 1.6-1
- updated to version 1.6

* Fri Mar 08 2013 Michael Perzl <michael@perzl.org> - 1.5-1
- updated to version 1.5

* Mon Jan 17 2010 Michael Perzl <michael@perzl.org> - 1.4-1
- first version for AIX V5.1 and higher
